Bug 1233965 - Timeout for deploy should be 60 minutes
Summary: Timeout for deploy should be 60 minutes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: Director
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: Director
Assignee: Brad P. Crochet
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-19 21:03 UTC by Brad P. Crochet
Modified: 2015-08-05 13:54 UTC (History)
8 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-4.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:54:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Brad P. Crochet 2015-06-19 21:03:14 UTC
Existing timeout for deploy is too short. Should be 60 minutes.

Comment 3 Brad P. Crochet 2015-06-19 21:04:05 UTC
Fixed by: https://review.gerrithub.io/#/c/236911/

Comment 6 Omri Hochman 2015-07-09 16:49:05 UTC
Can you specify if there are steps to verify or will it be sufficient to check modification under : tuskar_ui/infrastructure/nodes/views.py

Comment 7 Omri Hochman 2015-07-09 16:53:55 UTC
(In reply to Omri Hochman from comment #6)
> Can you specify if there are steps to verify or will it be sufficient to
> check modification under : tuskar_ui/infrastructure/nodes/views.py/ 

Modifications in: rdomanager_oscplugin/utils.py

Comment 8 Omri Hochman 2015-07-09 17:09:20 UTC
Verified with python-rdomanager-oscplugin-0.0.8-18.el7ost.noarch

the code merged: 
def wait_for_stack_ready(
        orchestration_client, stack_name, loops=360, sleep=10):
    """Check the status of an orchestration stack

    Get the status of an orchestration stack and check whether it is complete
    or failed.

    The default timeout is 60 minutes.

Comment 10 errata-xmlrpc 2015-08-05 13:54:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.